=== src/test/CMakeLists.txt ===
set(testFiles
	test.tex
	test_plain.tex
	test.bib
	test_bib.tex
	test_index.tex
)
install(FILES ${testFiles} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/test)
