=== src/data/complete/CMakeLists.txt ===
add_subdirectory(abbreviation)
add_subdirectory(tex)
add_subdirectory(dictionary)
