=== src/data/symbols-ng/greek/CMakeLists.txt ===
file(GLOB symbols *.png)
set(symbolType "greek")
install(FILES ${symbols} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/mathsymbols/${symbolType})
