=== debian/changelog ===
kile (4:2.9.94-1) unstable; urgency=medium

  * Team upload.
  * CI: drop any custom reprotest arguments.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump extra-cmake-modules and all the KF packages to 6.0.0
    - bump okular-dev to 4:24.05 (i.e. the version that switched to Qt 6)
    - add libkf6codecs-dev, libkf6guiaddons-dev, and qt6-declarative-dev
    - exclude libpoppler-qt6-dev on i386, as it does not exist on that
      architecture
  * Update lintian overrides.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Drop the kinit dependency, as kinit is no more in KF6.
  * Stop passing -DQT_MAJOR_VERSION=6 to cmake, as it is not actually needed.
  * Drop very old breaks/replaces.
  * Add maintscript files to remove the old conffiles.
  * Backport upstream commit e0b6d66b70e0dcbfec4b4b5bd8e55a2fe23dcb3f, and
    commit f7ecebe2f7abd6fbc0c8287f194bf3dd0c24c246 to fix/improve the
    AppStream XML metadata; patch
    upstream_appdata-Fix-release-date-of-Kile-3.0-beta-4.patch, and
    upstream_appstream-replace-deprecated-developer_name-with-dev.patch.
  * Sort install files.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Feb 2025 12:11:20 +0100

kile (4:2.9.94-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #1091276, #1091483, #1091231)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Mon, 13 Jan 2025 13:17:41 +0100
