=== debian/control ===
Source: kile
Section: tex
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6codecs-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6guiaddons-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6textwidgets-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libpoppler-qt6-dev [!i386],
               okular-dev (>= 4:24.05~),
               pkg-kde-tools (>= 0.15.16),
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://kile.sourceforge.io
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kile
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kile.git

Package: kile
Architecture: any
Depends: konsole-kpart,
         okular,
         texlive-latex-base,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: dvipng, ghostscript, imagemagick, psutils, texlive
Suggests: aspell | ispell | hspell,
          asymptote,
          context,
          dblatex,
          kbibtex,
          kile-doc,
          kile-l10n,
          latex2html,
          lilypond,
          tex4ht,
          texlive-xetex,
          zip
Description: KDE Integrated LaTeX Environment
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: KDE Integrated LaTeX Environment (documentation)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 This package contains the documentation for Kile.

Package: kile-l10n
Architecture: all
Section: localization
Depends: kile (>= ${source:Version}), ${misc:Depends}
Description: KDE Integrated LaTeX Environment (localization)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 This package contains the translations for Kile.
