=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# do NOT run optipng on the icons, this removes the metadata in the latex
# symbol icons which kile depends on for the symbol table. LP: #772631
export NO_PNG_PKG_MANGLE=1

%:
	dh $@ --with kf6

execute_after_dh_auto_install:
	# installed by dh_installchangelogs
	rm debian/tmp/usr/share/doc/kile/ChangeLog
