## kile 2.9.94+p24.04+vstable+git20250930.0454

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20250930.0454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 04:54:20 +0000

kile (4:2.9.94-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 02 Jul 2024 16:46:08 +1000

kile (4:2.9.93-1) noble; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.6.0
  * Pick the installed documentation, instead of copying it manually later on
    with dh_installdocs:
    - remove the documentation files we do not want
    - remove debian/kile.docs, no more needed now
  * Call dh_missing with --fail-missing to catch uninstalled files.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Oct 2019 07:26:23 +0200
