## kile 2.9.94+p24.04+vstable+git20251005.1138

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(kile VERSION 2.9.94)
+project(kile VERSION 2.9.95)
 
 find_package(ECM 6.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(KDE_COMPILERSETTINGS_LEVEL 5.84)
+set(KDE_COMPILERSETTINGS_LEVEL 6.0)
 
 include(KDECompilerSettings NO_POLICY_SCOPE)
 
@@ -59,13 +59,10 @@
 		WindowSystem
 		XmlGui
 		TextWidgets
+		ColorScheme
 	OPTIONAL_COMPONENTS
 		DocTools
 )
-
-set(CMAKE_CXX_STANDARD 17)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
-set(CMAKE_CXX_EXTENSIONS OFF)
 
 find_package(Okular6 REQUIRED)
 set_package_properties(Okular6 PROPERTIES
@@ -112,24 +109,6 @@
 	DESTINATION ${KDE_INSTALL_MIMEDIR})
 # update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
 
-install(
-	FILES
-		kile.upd
-	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kconf_update)
-
-install(
-	PROGRAMS
-		kile1.6_upd.pl
-		kile1.7_upd.pl
-		kile1.9_upd.pl
-		kile1.9-1_upd.pl
-		kile2.0-1_upd.pl
-		kile2.0-2_upd.pl
-		kile2.0-3_upd.pl
-		kile2.0-4_upd.pl
-		kile2.0-5_upd.pl
-	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kconf_update)
-
 install(FILES
 		AUTHORS
 		ChangeLog
