=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20251005.1138-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:38:11 +0000
