## kile 2.9.94+p24.04+vstable+git20251015.1723

=== doc/CMakeLists.txt ===
########### install files ###############
#
if(KF6DocTools_FOUND)
  kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kile)
endif()
