=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20251015.1723-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:23:21 +0000
