=== debian/control ===
Source: kile
Section: tex
Priority: optional
Uploaders: Mark Purcell <msp@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-syntax-highlighting-dev,
               libpoppler-qt6-dev,
               okular-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               shared-mime-info
Standards-Version: 4.6.2
Homepage: http://kile.sourceforge.net
Vcs-Git: https://invent.kde.org/neon/extras/kile.git
Vcs-Browser: https://invent.kde.org/neon/extras/kile
Maintainer: Neon CI <neon@kde.org>

Package: kile
Architecture: any
Depends: konsole-kpart,
         okular,
         texlive-latex-base,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: dvipng, ghostscript, imagemagick, psutils, texlive
Suggests: aspell | ispell | hspell,
          asymptote,
          context,
          dblatex,
          kbibtex,
          kile-doc,
          kile-l10n,
          latex2html,
          lilypond,
          tex4ht,
          texlive-xetex,
          zip
Description: KDE Integrated LaTeX Environment
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: KDE Integrated LaTeX Environment (documentation)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 This package contains the documentation for Kile.
