## kile 2.9.94+p24.04+vstable+git20251019.0632

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20251019.0632-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:32:59 +0000
