## kile 2.9.94+p24.04+vstable+git20260102.1221

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 project(kile VERSION 2.9.95)
 
+set(QT_REQUIRED_VERSION "6.4")
 find_package(ECM 6.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
