## kile 2.9.94+p24.04+vstable+git20260105.0950

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20260105.0950-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:50:39 +0000
