## kile 2.9.94+p24.04+vstable+git20260122.0824

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 include(ECMSetupVersion)
 include(ECMMarkNonGuiExecutable)
 include(ECMGenerateHeaders)
+include(ECMQtDeclareLoggingCategory)
 
 include(GenerateExportHeader)
 include(CMakePackageConfigHelpers)
