=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20260122.0824-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 08:24:41 +0000
