## kile 2.9.94+p24.04+vstable+git20260130.1128

=== debian/changelog ===
kile (4:2.9.94+p24.04+vstable+git20260130.1128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:29:08 +0000
