## kile 2.9.94+p24.04+vunstable+git20251015.1828

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20251015.1828-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:29:06 +0000
