## kile 2.9.94+p24.04+vunstable+git20251020.0537

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20251020.0537-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 05:38:06 +0000
