## kile 2.9.94+p24.04+vunstable+git20251123.1233

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20251123.1233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:33:48 +0000
