## kile 2.9.94+p24.04+vunstable+git20251201.0311

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20251201.0311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 03:11:51 +0000
