## kile 2.9.94+p24.04+vunstable+git20260122.0352

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20260122.0352-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 03:52:52 +0000
