## kile 2.9.94+p24.04+vunstable+git20260130.1242

=== debian/changelog ===
kile (4:2.9.94+p24.04+vunstable+git20260130.1242-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:42:14 +0000
